import { Rule } from './type';
/**
 *
 * 金额转换，支持小数点，单位，千分位配置
 * @category  format
 * @param {number} m 输入金额
 * @param {Rule} [rule] interface接口，支持是否使用千分位，
 * @returns {(string|number)}
 * @author hzxiongxu
 * @date 20210602
 *
 */
export declare function moneyFormat(m: number | string, rule?: Rule): string | number;
/**
 * 格式化卡号格式：仅数字，4位一空格 （1111 2222 3333）
 * @format  format
 * @param {string} value
 * @param {number} limit
 * @author hzxiongxu
 * @date 20210602
 */
export declare function cardNoFormat(value: string, limit?: number): string;
/**
 *
 * 格式化手机号格式：仅数字，344分隔 （133 2222 3333）
 * @category format
 * @param {string} value
 * @returns {string}
 * @author hzxiongxu
 * @date 20210602
 *
 */
export declare function mobileNoFormat(value: string): string;
/**
 *
 * 格式化省份证号，仅数字，684分割
 * @export
 * @category format
 * @param {string} value
 * @return {*}  {string}
 * @author hzxiongxu
 * @date 20210602
 */
export declare function idCardFormat(value: string): string;
/**
 *
 *
 * 格式化百分数，将小数转成百分数
 * @category format
 * @param {(string | number)} value
 * @param {number} [decimalPlaces=2]
 * @author hzxiongxu
 * @date 20210602
 * @return {*}  {(string | number)}
 */
export declare function percentFormat(value: string | number, decimalPlaces?: number): string | number;
