/**
 *
 * 根据key获取url中的参数，默认从search取,也支持从整个url中获取
 * @category  url
 * @param {string} [url=window.location.href]
 * @param {string} key 获取的参数key值
 * @returns {string}
 * @author hzxiongxu
 * @date 20210602
 *
 */
export declare function getUrlParams(key: string, url?: string): string;
/**
 *
 * 获取url所有参数
 * @category  url
 * @param {string} [url=window.location.href]
 * @return {*}  {Record<string, any>}
 * @author hzxiongxu
 * @date 20210602
 */
export declare function getAllUrlParams(url?: string): Record<string, any>;
/**
 *
 * 给url添加参数,不改变参数的顺序，向后追加，如果有同名的则直接更改
 * @export
 * @category  url
 * @param {Record<string, any>} params 添加的参数，允许同时添加多个
 * @param {boolean} [isCover=true] 是否覆盖原来已有的参数，默认为覆盖
 * @param {*} [url=window.location.href] url，默认为当前页面的url
 * @return {*}  {string}
 * @author hzxiongxu
 * @date 20210602
 */
export declare function addUrlParams(params: Record<string, any>, url?: string, isCover?: boolean): string;
/**
 *
 * 从url中删除指定的参数
 * @export
 * @category  url
 * @param {string} key
 * @param {*} [url=window.location.href]
 * @return {*}  {string}
 */
export declare function delUrlParams(key: string, url?: string): string;
